package com.cecilia.common;

/**
 * 公共常量类
 */
public class PublicConst {

    public static final String SCOPE_GENERAL = "general";
    public static final Integer ERROR_GENERAL_EXCEPTION = 500;

    // 索引名称

    // 索引类型
    public final static String ES_INDEX_TYPE = "doc";

    // es 最大查询条数
    public static final Integer EVENT_SYNTHETICAL_ESMAXCOUNT = 10000;

    // ES 统一配置
    public final static String
            ES_SETTING_SETTINGPATH = "es/settings.json",
            ES_SETTING_NORMALIZER_LOWERCASE = "lowercase"; // 忽略大小写

    // 分片数
    public final static short ES_SHARDS = 1;

    // 数
    public final static short ES_REPLICAS = 0;

    // 删除标识位：0:未删除   1:已删除
    public static final Byte DELETE_FLAG_ZERO = 0,
            DELETE_FLAG_ONE = 1;

    // 日期格式化
    public static final String DATE_FORMAT_YMD_HMS = "yyyy-MM-dd HH:mm:ss",
            DATE_FORMAT_YMD = "yyyy-MM-dd";

    // 一天的结束时间
    public static final String DAY_END_TIME = " 23:59:59";

    // 电话号码和手机号正则
    public static final String REGX_TELANDPHONE = "^([1]\\d{10}|([\\(（]?0[0-9]{2,3}[）\\)]?[-]?)?([2-9][0-9]{6,7})+(\\-[0-9]{1,4})?)$";

    // 符号
    public static final String SYMBOL_1 = "/",
            SYMBOL_2 = "-",
            SYMBOL_3 = "#",
            SYMBOL_4 = ",",
            SYMBOL_5 = "%",
            SYMBOL_6 = "::",
            SYMBOL_7 = ":",
            SYMBOL_8 = "(",
            SYMBOL_9 = ")";



    // 项目名
    public static final String PROJECT_NAME = "cecilia";



}
