package com.cecilia.common.util;

import java.util.List;

public class HandlePage {

    /**分页  start = (page - 1) * size, end = page * size*/
    public <T> List<T> handPage(List<T> data,int pageNum,int pageSize){

        int fromIndex =  Math.min((pageNum - 1) * pageSize, data.size());
        int toIndex = Math.min(fromIndex + pageSize, data.size());

        return data.subList(fromIndex, toIndex);
    }
}
