package com.cecilia.engine.kafkademo;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/kafka")
public class KafkaDemoController {

    @Autowired
    private KafkaDemoService kafkaDemoService;

    @PostMapping("/demo")
    public void sendMessage() {
        kafkaDemoService.sendMessage("my-topic", "Hello, Kafka!");
    }
}
